%define upstream_name    Class-Adapter
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Generate Class::Adapter classes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
The 'Class::Adapter' class is intended as an abstract base class for
creating any sort of class or object that follows the _Adapter_ pattern.

What is an Adapter?
    The term _Adapter_ refers to a _"Design Pattern"_ of the same name,
    from the famous _"Gang of Four"_ book _"Design Patterns"_. Although
    their original implementation was designed for Java and similar
    single-inheritance strictly-typed languauge, the situation for which it
    applies is still valid.

    An _Adapter_ in this Perl sense of the term is when a class is created
    to achieve by composition (objects containing other object) something
    that can't be achieved by inheritance (sub-classing).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jun 25 2024 daviddavid <daviddavid> 1.90.0-5.mga10
+ Revision: 2076555
- remove perl(inc::Module::Install::DSL) as build dependency

* Sun Mar 20 2022 umeabot <umeabot> 1.90.0-4.mga9
+ Revision: 1808471
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.90.0-3.mga8
+ Revision: 1503551
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.90.0-2.mga7
+ Revision: 1282249
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 1.90.0-1.mga7
+ Revision: 1216968
- Update to version 1.09

* Mon Oct 02 2017 tv <tv> 1.80.0-10.mga7
+ Revision: 1163303
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.80.0-9.mga7
+ Revision: 1158879
- add BR on perl(inc::Module::Install::DSL)

* Sat Jun 18 2016 pterjan <pterjan> 1.80.0-8.mga6
+ Revision: 1023858
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.80.0-7.mga6
+ Revision: 949317
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.80.0-6.mga5
+ Revision: 789643
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-5.mga5
+ Revision: 745266
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-4.mga5
+ Revision: 683883
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.80.0-3.mga4
+ Revision: 509911
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 364257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 25 2011 jquelin <jquelin> 1.80.0-1.mga1
+ Revision: 77292
- update to 1.08

* Sat Jan 22 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 31761
- mageia rebuild
- imported package perl-Class-Adapter

